CVE-2017-20151

A vulnerability classified as problematic was found in iText RUPS. This vulnerability affects unknown code of the file src/main/java/com/itextpdf/rups/model/XfaFile.java. The manipulation leads to xml external entity reference. The patch is identified as ac5590925874ef810018a6b60fec216eee54fb32. It is recommended to apply a patch to fix this issue. VDB-217054 is the identifier assigned to this vulnerability.
Configurations

Configuration 1 (hide)

cpe:2.3:a:itextpdf:rups:*:*:*:*:*:*:*:*

History

29 Feb 2024, 01:20

Type Values Removed Values Added
Summary
  • (es) Una vulnerabilidad fue encontrada en iText RUPS y clasificada como problemática. Esta vulnerabilidad afecta a un código desconocido del archivo src/main/java/com/itextpdf/rups/model/XfaFile.java. La manipulación conduce a una referencia de entidad externa xml. El nombre del parche es ac5590925874ef810018a6b60fec216eee54fb32. Se recomienda aplicar un parche para solucionar este problema. VDB-217054 es el identificador asignado a esta vulnerabilidad.

18 Nov 2023, 02:49

Type Values Removed Values Added
CPE cpe:2.3:a:itextpdf:rups:-:*:*:*:*:*:*:* cpe:2.3:a:itextpdf:rups:*:*:*:*:*:*:*:*

07 Nov 2023, 02:43

Type Values Removed Values Added
CWE CWE-611

20 Oct 2023, 12:15

Type Values Removed Values Added
CWE CWE-611
Summary A vulnerability classified as problematic was found in iText RUPS. This vulnerability affects unknown code of the file src/main/java/com/itextpdf/rups/model/XfaFile.java. The manipulation leads to xml external entity reference. The name of the patch is ac5590925874ef810018a6b60fec216eee54fb32. It is recommended to apply a patch to fix this issue. VDB-217054 is the identifier assigned to this vulnerability. A vulnerability classified as problematic was found in iText RUPS. This vulnerability affects unknown code of the file src/main/java/com/itextpdf/rups/model/XfaFile.java. The manipulation leads to xml external entity reference. The patch is identified as ac5590925874ef810018a6b60fec216eee54fb32. It is recommended to apply a patch to fix this issue. VDB-217054 is the identifier assigned to this vulnerability.

09 Jan 2023, 17:50

Type Values Removed Values Added
CPE cpe:2.3:a:itextpdf:rups:-:*:*:*:*:*:*:*
First Time Itextpdf
Itextpdf rups
CVSS v2 : unknown
v3 : unknown
v2 : unknown
v3 : 9.8
References (MISC) https://github.com/itext/rups/commit/ac5590925874ef810018a6b60fec216eee54fb32 - (MISC) https://github.com/itext/rups/commit/ac5590925874ef810018a6b60fec216eee54fb32 - Patch, Third Party Advisory
References (MISC) https://vuldb.com/?ctiid.217054 - (MISC) https://vuldb.com/?ctiid.217054 - Third Party Advisory
References (MISC) https://vuldb.com/?id.217054 - (MISC) https://vuldb.com/?id.217054 - Third Party Advisory

30 Dec 2022, 12:15

Type Values Removed Values Added
New CVE

Information

Published : 2022-12-30 12:15

Updated : 2024-05-17 01:17


NVD link : CVE-2017-20151

Mitre link : CVE-2017-20151

CVE.ORG link : CVE-2017-20151


JSON object : View

Products Affected

itextpdf

  • rups
CWE
CWE-611

Improper Restriction of XML External Entity Reference